import type { Chain } from "../chains.js";
export type TokenKey = string;
export type TokenSymbol = string;
export type ChainTokens = {
    [symbol: TokenKey]: Token;
};
export type NttContracts = {
    manager: string;
    transceiver: string;
};
export type Token = {
    key: TokenKey;
    decimals: number;
    address: string;
    chain: Chain;
    symbol: TokenSymbol;
    original?: Chain;
    wrappedKey?: TokenKey;
    ntt?: NttContracts;
};
export type TokenConst = Omit<Token, "chain" | "key">;
//# sourceMappingURL=types.d.ts.map